package cn.ezhizao.project.system.service.impl;
import cn.ezhizao.project.system.domain.SysDept;
import cn.ezhizao.project.system.domain.SysDeptUser;
import cn.ezhizao.project.system.domain.SysUser;
import cn.ezhizao.project.system.mapper.SysDeptUserMapper;
import cn.ezhizao.project.system.service.ISysDeptUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class SysDeptUserServiceImpl extends ServiceImpl<SysDeptUserMapper, SysDeptUser> implements ISysDeptUserService {

    @Resource
    private SysDeptUserMapper deptUserMapper;


    @Override
    public Integer deleteByDeptIdAndUserId(SysDeptUser deptUser) {
        return deptUserMapper.deleteByDeptIdAndUserId(deptUser);
    }

    @Override
    public List<SysDeptUser> getList(SysDeptUser deptUser) {
        return deptUserMapper.getList(deptUser);
    }

    @Override
    public List<SysUser> getUserInfoByDeptId(SysDeptUser deptUser) {
        return deptUserMapper.getUserInfoByDeptId(deptUser);
    }

    @Override
    public Integer updateDeptUser(SysDeptUser date) {
        return deptUserMapper.updateDeptUser(date);
    }

    @Override
    public List<SysUser> selectInnerUserByDeptId(SysDept sysDept) {
        return deptUserMapper.selectInnerUserByDeptId(sysDept);
    }
}
